package sim.app.species.ANN;

class BiasNeuron extends Neuron{

	private double bias;

	public BiasNeuron(Soma s, Axon[] in, Axon[] out){

		super(s, in, out);
		this.soma.setActive(true);

		// WILL CHANGE
		this.bias = 1.0;


	}

	public void fire(){

		this.soma.input = this.bias;
		this.soma.activate();

		for(int i = 0; i < this.outgoingAxons.length; i++){
			this.outgoingAxons[i].input = this.soma.output;
		}

	}

}
